var Overlay = {
  init: function(){
    var ver = -1, firstrun = true;
    var gExtensionManager = Components.classes["@mozilla.org/extensions/manager;1"]
                            .getService(Components.interfaces.nsIExtensionManager);
    var current = gExtensionManager.getItemForID("fmscene@agenedia.de").version;
		
    try {
      ver = fmscene.Prefs.getCharPref("version");
      firstrun = fmscene.Prefs.getBoolPref("firstrun");
    } catch(e) {
    } finally{
      if (firstrun){
        fmscene.Prefs.setBoolPref("firstrun",false);
        fmscene.Prefs.setCharPref("version",current);
        window.setTimeout(function(){
          gBrowser.selectedTab = gBrowser.addTab("http://www.fmscene.de/firstrun?version=" + current);
        }, 1500);
      }		
      if (ver!=current && !firstrun){
        fmscene.Prefs.setCharPref("version",current);
        window.setTimeout(function(){
          gBrowser.selectedTab = gBrowser.addTab("http://www.fmscene.de/firstrun?version=" + current);
        }, 1500);
	  }
    }
    window.removeEventListener("load",function(){ Overlay.init(); },true);
  }
};

window.addEventListener("load",function(){ Overlay.init(); },true);